using "Vendor-provided" is possible install PHP version 5.3 ??

andrew.n

Well-Known Member
Jun 9, 2020
877
329
63
EU
cPanel Access Level
Root Administrator

andrew.n

Well-Known Member
Jun 9, 2020
877
329
63
EU
cPanel Access Level
Root Administrator
I'm not really even sure what to suggest. First this is absolutely not recommended rather you are advised to pay for a developer to bring the code up to date. If for some reason you can't do that the best I can suggest is to:

1. get a test server with cPanel
2. Try to install PHP 5.3 like this:


3. If this doesn't work using EA4 then you have to downgrade back to EA3 which means you will have only 1 version of PHP on the server:

 

000

Well-Known Member
Jun 3, 2008
523
27
78
Thanks Adrew.


... Try to install PHP 5.3 like this:

Some web sites talk about install PHP 5.2 from source, by example Installing and configuring PHP5.2, PHP5.3 and any other with FastCGI + easyApache4 and latest cPanel on CentOS - Hosting.Guru etc...

But: is possibe install using the option "vendor-provided" ??
if yes, how?

if no: know some person how to ADD PHP 5.3 to "options" into PHP Version from cPanel:

1640552894748.png

the comunity say "install CouldLinux", but again:
US $14 each month not is possible for me...
 

andrew.n

Well-Known Member
Jun 9, 2020
877
329
63
EU
cPanel Access Level
Root Administrator
Unfortunately there is no "vendor provided" option for PHP 5.3. These are your only options sadly.
 

000

Well-Known Member
Jun 3, 2008
523
27
78
Unfortunately there is no "vendor provided" option for PHP 5.3. These are your only options sadly.
oh...

:'(

some instruction/recomendation please:

Code:
[[email protected] ~]# yum search php53
Loaded plugins: universal-hooks
No matches found
[[email protected] ~]#

how I can obtain some output as with php56:


Code:
[[email protected] ~]# yum search php56
Loaded plugins: universal-hooks
============================================================================ N/S matched: php56 =============================================================================
ea-php56-libc-client-debuginfo.x86_64 : Debug information for package ea-php56-libc-client
ea-php56-php-debuginfo.x86_64 : Debug information for package ea-php56-php
ea-php56-php-ioncube-debuginfo.x86_64 : Debug information for package ea-php56-php-ioncube
ea-php56-php-ioncube5-debuginfo.x86_64 : Debug information for package ea-php56-php-ioncube5
ea-php56-php-ioncube6-debuginfo.x86_64 : Debug information for package ea-php56-php-ioncube6
ea-php56-php-memcache.x86_64 : memcache extension for ea-php56
ea-php56-php-memcache-debuginfo.x86_64 : Debug information for package ea-php56-php-memcache
ea-php56-php-memcached.x86_64 : php-memcached extension for ea-php56
ea-php56-php-memcached-debuginfo.x86_64 : Debug information for package ea-php56-php-memcached
ea-php56-php-sourceguardian-debuginfo.x86_64 : Debug information for package ea-php56-php-sourceguardian
ea-php56-php-zendguard-debuginfo.x86_64 : Debug information for package ea-php56-php-zendguard
ea-php56-runtime.x86_64 : Package that handles ea-php56 Software Collection.
ea-php56-scldevel.x86_64 : Package shipping development files for ea-php56
ea-php56.x86_64 : Package that installs PHP 5.6
ea-php56-build.x86_64 : Package shipping basic build configuration
ea-php56-libc-client.x86_64 : UW C-client mail library
ea-php56-libc-client-devel.x86_64 : Development tools for programs which will use the UW IMAP library
ea-php56-libc-client-static.x86_64 : UW IMAP static library
ea-php56-pear.noarch : PHP Extension and Application Repository framework
ea-php56-php.x86_64 : PHP DSO
ea-php56-php-bcmath.x86_64 : A module for PHP applications for using the bcmath library
ea-php56-php-bz2.x86_64 : A module for PHP applications that interface with .bz2 files
ea-php56-php-calendar.x86_64 : A module for PHP applications that need date/time calculations
ea-php56-php-cli.x86_64 : Command-line interface for PHP
ea-php56-php-common.x86_64 : Common files for PHP
ea-php56-php-curl.x86_64 : A module for PHP applications that need to interface with curl
ea-php56-php-dba.x86_64 : A database abstraction layer module for PHP applications
ea-php56-php-devel.x86_64 : Files needed for building PHP extensions
ea-php56-php-enchant.x86_64 : Enchant spelling extension for PHP applications
ea-php56-php-exif.x86_64 : A module for PHP applications that need to work with image metadata
ea-php56-php-fileinfo.x86_64 : A module for PHP applications that need to detect file types
ea-php56-php-fpm.x86_64 : PHP FastCGI Process Manager
ea-php56-php-ftp.x86_64 : A module for PHP applications that need full FTP protocol support
ea-php56-php-gd.x86_64 : A module for PHP applications for using the gd graphics library
ea-php56-php-gettext.x86_64 : A module for PHP applications that need native language support
ea-php56-php-gmp.x86_64 : A module for PHP applications for using the GNU MP library
ea-php56-php-iconv.x86_64 : A module for PHP applications that need to convert character sets
ea-php56-php-imap.x86_64 : A module for PHP applications that use IMAP
ea-php56-php-intl.x86_64 : Internationalization extension for PHP applications
ea-php56-php-ioncube.x86_64 : Loader for ionCube-encoded PHP files
ea-php56-php-ioncube10.x86_64 : v10 Loader for ionCube-encoded PHP files
ea-php56-php-ioncube5.x86_64 : v5 Loader for ionCube-encoded PHP files
ea-php56-php-ioncube6.x86_64 : v6 Loader for ionCube-encoded PHP files
ea-php56-php-ldap.x86_64 : A module for PHP applications that use LDAP
ea-php56-php-litespeed.x86_64 : LiteSpeed Web Server PHP support
ea-php56-php-mbstring.x86_64 : A module for PHP applications which need multi-byte string handling
ea-php56-php-mcrypt.x86_64 : Standard PHP module provides mcrypt library support
ea-php56-php-mssql.x86_64 : MSSQL database module for PHP
ea-php56-php-mysqlnd.x86_64 : A module for PHP applications that use MySQL databases
ea-php56-php-odbc.x86_64 : A module for PHP applications that use ODBC databases
ea-php56-php-opcache.x86_64 : The Zend OPcache
ea-php56-php-pdo.x86_64 : A database access abstraction module for PHP applications
ea-php56-php-pgsql.x86_64 : A PostgreSQL database module for PHP
ea-php56-php-phalcon.x86_64 : A full-stack PHP framework delivered as a C-extension
ea-php56-php-posix.x86_64 : Modules for PHP scripts that need access to POSIX functions
ea-php56-php-process.x86_64 : Modules for PHP script using system process interfaces
ea-php56-php-pspell.x86_64 : A module for PHP applications for using pspell interfaces
ea-php56-php-recode.x86_64 : A module for PHP applications for using the recode library
ea-php56-php-snmp.x86_64 : A module for PHP applications that query SNMP-managed devices
ea-php56-php-soap.x86_64 : A module for PHP applications that use the SOAP protocol
ea-php56-php-sockets.x86_64 : A module for PHP applications that need low-level access to sockets
ea-php56-php-sourceguardian.x86_64 : Loader for SourceGuardian-encoded PHP files
ea-php56-php-suhosin.x86_64 : Protective PHP Hardening Extension
ea-php56-php-tidy.x86_64 : Standard PHP module provides tidy library support
ea-php56-php-xml.x86_64 : A module for PHP applications which use XML
ea-php56-php-xmlrpc.x86_64 : A module for PHP applications which use the XML-RPC protocol
ea-php56-php-zendguard.x86_64 : Loader for Zend Guard-encoded PHP files
ea-php56-php-zip.x86_64 : A module for PHP applications that need to handle .zip files

  Name and summary matches only, use "search all" for everything.
[[email protected] ~]#


what file I need edit/touch for obtain correct output from yum ?
 

andrew.n

Well-Known Member
Jun 9, 2020
877
329
63
EU
cPanel Access Level
Root Administrator
You should check the links I gave you and try to use similar steps to install PHP 5.3. Alternatively you can try to find a cPanel Certified Professional from here but I still believe hiring a developer would be more recommended and might be even cheaper than getting this work.
 
Last edited:

quietFinn

Well-Known Member
Feb 4, 2006
1,653
326
438
Finland
cPanel Access Level
Root Administrator
where we can see the reason for this specific 500 ?
I'd check 1st PHP error log in /home/CPANELUSERNAME/public_html/error_log & Apache error log in /etc/apache2/logs/error_log
 

000

Well-Known Member
Jun 3, 2008
523
27
78
I'd check 1st PHP error log in /home/CPANELUSERNAME/public_html/error_log & Apache error log in /etc/apache2/logs/error_log
thanks.

/home/USER/logs/ -> empty
/home/USER/public_html/error_log -> not exists

but when I run:
Code:
cat /etc/apache2/logs/error_log | grep 'USER_cpanel' >> /home/USER_cpanel/error_500.php
I get:
Code:
[Tue Dec 28 08:25:33.705985 2021] [core:alert] [pid 91721] [client IP_MY_HOME:53752] /home/USER_CPANEL/public_html/academy/.htaccess: Invalid command 'FCGIWrapper', perhaps misspelled or defined by a module not included in the server configuration
[Tue Dec 28 08:25:33.706181 2021] [core:alert] [pid 91721] [client IP_MY_HOME:53752] /home/USER_CPANEL/public_html/academy/.htaccess: Invalid command 'FCGIWrapper', perhaps misspelled or defined by a module not included in the server configuration
[Tue Dec 28 08:26:21.576006 2021] [core:alert] [pid 91724] [client IP_MY_HOME:54032] /home/USER_CPANEL/public_html/academy/.htaccess: Invalid command 'FCGIWrapper', perhaps misspelled or defined by a module not included in the server configuration
[Tue Dec 28 08:26:21.576745 2021] [core:alert] [pid 91724] [client IP_MY_HOME:54032] /home/USER_CPANEL/public_html/academy/.htaccess: Invalid command 'FCGIWrapper', perhaps misspelled or defined by a module not included in the server configuration
[Tue Dec 28 08:27:01.592397 2021] [core:alert] [pid 93938] [client IP_MY_HOME:54241] /home/USER_CPANEL/public_html/academy/.htaccess: Invalid command 'FCGIWrapper', perhaps misspelled or defined by a module not included in the server configuration
[Tue Dec 28 08:27:01.592578 2021] [core:alert] [pid 93938] [client IP_MY_HOME:54241] /home/USER_CPANEL/public_html/academy/.htaccess: Invalid command 'FCGIWrapper', perhaps misspelled or defined by a module not included in the server configuration

the file .haccess contain:
Code:
AddHandler fcgid-script .php
FCGIWrapper "/home/USER_CPANEL/local/bin/php-cgi" .php

how I can fix ?
 

andrew.n

Well-Known Member
Jun 9, 2020
877
329
63
EU
cPanel Access Level
Root Administrator

quietFinn

Well-Known Member
Feb 4, 2006
1,653
326
438
Finland
cPanel Access Level
Root Administrator
the file .haccess contain:
Code:
AddHandler fcgid-script .php
FCGIWrapper "/home/USER_CPANEL/local/bin/php-cgi" .php

how I can fix ?
Comment out those lines.
 

000

Well-Known Member
Jun 3, 2008
523
27
78
You can open a ticket there (emergencysupport.zendesk.com) or just drop us an email to [email protected]. I would need to get access to the server first to have a look and then we can talk about the costs.
some idea about how to fix the 500 ?

I try with:

Code:
AddHandler fcgid-script .php
FCGIWrapper "/home/USER_cPanel/local/bin/php-cgi" .php
result = 500

Code:
AddHandler fcgid-script .php
FcgidWrapper "/home/USER_cPanel/local/bin/php-cgi" .php
result = 500
 
Last edited:

andrew.n

Well-Known Member
Jun 9, 2020
877
329
63
EU
cPanel Access Level
Root Administrator
You would need to look into the logs why are you getting 500 errors.

Btw it looks like you used another article as what I sent you there are no FastCGI lines.
 

000

Well-Known Member
Jun 3, 2008
523
27
78
Btw it looks like you used another article as what I sent you there are no FastCGI lines.
thanks master @andrew.n now I connect as USERcPanel to SHELL, is relevant obtain this:

1640703186323.png

???

I believe that is the 90% of the work, now I need files from user load PHP 5.3

I am near of my target ?